SQLITE_INTEGER(3)

NAME
SQLITE_INTEGER, SQLITE_FLOAT, SQLITE_BLOB, SQLITE_NULL, SQLITE_TEXT, SQLITE3_TEXT - Fundamental Datatypes

SYNOPSIS
#define SQLITE_INTEGER
#define SQLITE_FLOAT
#define SQLITE_BLOB
#define SQLITE_NULL
#define SQLITE_TEXT
#define SQLITE3_TEXT

DESCRIPTION
Every value in SQLite has one of five fundamental datatypes:

•   64-bit signed integer

•   64-bit IEEE floating point number

•   string

•   BLOB

•   NULL

These constants are codes for each of those types.

Note that the SQLITE_TEXT constant was also used in SQLite version 2 for a completely different meaning. Software that links against both SQLite version 2 and SQLite version 3 should use SQLITE3_TEXT, not SQLITE_TEXT.